// Pd > bundle and typed message > packOSC > udpsend > routeur Wi-Fi
// ESP8266 > OscBundle 
 
#include <ESP8266WiFi.h>
#include <WiFiUdp.h>
#include <OSCMessage.h>
#include <OSCBundle.h>
#include <OSCData.h>
 
int status = WL_IDLE_STATUS;
char ssid[] = "linksys";          // your network SSID (name)
char pass[] = "";                 // your network password
 
// A UDP instance to let us send and receive packets over UDP
WiFiUDP Udp;
 
const unsigned int localPort = 8888;        // local port to listen for UDP packets (here's where we send the packets)
 
OSCErrorCode error;
unsigned int ledState = LOW;              // LOW means led is *on*
 
void setup() {
  pinMode(BUILTIN_LED, OUTPUT);
  digitalWrite(BUILTIN_LED, ledState);    // turn *on* led
  WiFi.begin(ssid, pass); // Connect to WiFi network
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
  }
  Udp.begin(localPort);
}
 
void ledOut(OSCMessage &msg) {
  ledState = msg.getInt(0);
  digitalWrite(BUILTIN_LED, ledState);
}
 
void loop() {
  OSCBundle bundle;
  int _size = Udp.parsePacket();
  if (_size > 0) {
    while (_size--) {
      bundle.fill(Udp.read());
    }
    if (!bundle.hasError()) {
       bundle.dispatch("/led", ledOut);
    } else {
      error = bundle.getError();
    }
  }
}

